Subject: LRO: RE: 95 RR

From: "James G.Wolf" <[email-masked]>
Date: Tue, 03 Jul 2001 04:54:18 -0400

>	Certainly not for everyone as you have to be willing to get your hands
>dirty and let people work on your vehicle for tricky things, but certainly
>not the money pit some people would have you believe.

So, this would be a good deal for the average Series owner. We mostly all do
our own work dirty or not anyway. I am thinking about some comfort while
traveling
to dog shows with one to three dogs in crates. plus all the other stuff
that one needs
when doing a field course.

Jim Wolf